Okno programu se skládá z několika záložek, které aktivujeme klepnutím v horní části.
V pravé části jsou vždy hodiny, na kterých je zobrazován aktuální čas (systémový čas PC), pod ním jsou tlačítka pro nápovědu a informace o programu. Tlačítko s nápisem "Konec" slouží k ukončení aplikace.

Aplikace se skládá ze dvou hlavních částí - Nahrávání a přehrávání. Nejprve je třeba vždy nahrát požadované záznamy. Klikneme na záložku "Nahrávání a nastavení". V horní části vedle okénka s popisem "Uložit do souboru" klikneme na ovládací tlačítko se symbolem tří teček.

Otevře se dialogové okno, kde vybereme příslušný (námi vybraný) adresář kde budou zprávy umístěné, a následně vyplníme do kolonky název souboru (např. zprava1 ap.). Klikneme na tlačítko uložit. Dialogové okno se uzavře a v řádce "Uložit do souboru" je zobrazena celá cesta k požadovanému souboru. Je možno se po tomto textu pohybovat kurzorem, není jej možno ručně editovat (pouze opět přes přístup tlačítkem). Soubor

Stavový řádek Jestliže aplikaci minimalizujeme, aplikace běží na pozadí, její běh je indikován ikonou s obrázkem reproduktoru ve stavové řádce Windows. Aplikace se zpětně aktivuje dvojitým poklepáním na tuto ikonu.

Pro záznam musí být v daném PC na instalované zvukové kartě povolen mikrofonní vstup.
 | Tlačítko "Record" - stisknutím dojde ke spuštění záznamu. Intenzita hlasitosti je zobrazována na měřicím přístroji s nápisem "Úroveň".
pause.jpg, 1 kB | Tlačítko "Pause" - přerušení ukládání záznamu.
stop.jpg, 0 kB | Tlačítko "Stop" - ukončení záznamu.
play.jpg, 1 kB | Tlačítko "Play" - stiskem tohoto tlačítka je možno si záznam poslechnout. Takto je možno poslechnout si libovolný záznam (vybereme opět kliknutím na tlačítko pro výběr souboru a stiskneme tlačítko "Play").

Stiskem tlačítka "Stop" je snímání ukončeno a záznam uložen.
Takto je možno uložit libovolný počet zvukových souborů. Soubory jsou ukládány ve formátu WAV.

V další části této obrazovky aplikace je možno nastavit používaný port PC pro ovládání přepínací jednotky. Je k dispozici nastavení COM1 až COM4. Port nastavíme kliknutím na šipku u rozbalovacího menu. Následně kliknutím na tlačítko "Připojit" spustíme komunikaci s tímto portem. Pokud nastavíme neexistující port, obdržíme chybovou zprávu o neexistujícím portu. Pokud nastavíme port, používaný jinou aplikací, obdržíme taktéž chybovou hlášku informující o tom, že port je již používán. Pokud je vše v pořádku, změní se text v tlačítku "Připojit" na "Odpojit" (dalším stiskem zase používaný port odpojíme). Jestliže měníme číslo portu, je vždy nejprve nutno port odpojit, změnit jeho číslo a následně připojit. Pokud provedeme pouze změnu čísla portu v rozbalovacím menu, změna se neprovede !

chybny_com.jpg, 6 kB otevreny_com.jpg, 6 kB
button_test.jpg, 2 kB Následně je možno provést test komunikace s přepínací jednotkou stiskem na tlačítko "Test ovládací jednotky". LED dioda na jednotce musí reagovat na stisknutí tlačítka (zapnuto - tlačítko svítí červeně - LED svítí, vypnuto - tlačítko svítí zeleně - LED nesvítí).

Posledním nastavovacím prvkem je možnost zapnutí nebo vypnutí informace o právě přehrávaném záznamu ve stavové řádce Windows. Zaškrtnutím políčka se toto zobrazování zapne.

balloon.gif, 3 kB

prehravani.jpg, 46 kB

Pro přehrávání záznamů se přepneme do jednoho z polí "Záznam 1" až "Záznam 5". Pole jsou naprosto identická, slouží pro přehledný výběr a přehrávání pěti různých záznamů. Opět zvolíme soubor, který chceme přehrávat kliknutím na tlačítko vedle pole "Soubor záznamu". Otevře se dialogový box pro výběr soubor, vybereme a potvrdíme tlačítkem OK. Název souboru s celou cestou je uveden v poli "Soubor záznamu". Tento soubor je možno si pomocí tlačítek pod řádkou se souborem přehrát. Následně do polí níže uvedeme časy, kdy chceme, aby se tento záznam přehrával. Pro aktivaci daného časového záznamu musí být zaškrtnut zaškrtávací box vedle daného času. Pokud box zaškrtnut není, daný záznam není sledován (slouží na zjednodušení obsluhy a operativní zásahy bez nutnosti mazání času). Minimální rozlišení časů jsou celé minuty. Přehrávání začne vždy v okamžiku dosažení nastaveného času. Takto je možno ke každému záznamu zadat až 10 různých časových značek, při jejichž dosažení začne systém danou zprávu přehrávat. Je možno samozřejme zprávy libovolně kombinovat (např. Záznam 1 v 10.30 hod. Záznam 2 v 10.32 ap.) Probíhající přehrávání je možné kdykoliv zastavit kliknutím na tlačítko "Stop" v liště tlačítek přehrávání v kterékoliv obrazovce aplikace.
V okně s názvem Informace je zobrazován aktuální stav aplikace - tedy zda přehrává nějaký záznam - jaký, nebo zda je v klidu.

Veškerá nastavení, číslo portu, zapsané časy i cestu ke zprávám si aplikace při svém vypnutí ukládá do souboru setting.ini, který je vytvořen při prvním zapnutí aplikace ve stejném adresáři. V případě potřeby je možno soubor setting.ini smazat, při následujícím startu aplikace budou všude načteny implicitní údaje a aplikace bude v základním nastavení.

© DH servis 2002 - 2007